## puzzletube 0.5-maemo4

=== libsdl-mixer1.2-1.2.6/mikmod/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# mikmod/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libmikmod_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = mikmod
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	AUTHORS COPYING.LESSER
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libmikmod_la_LIBADD =
am_libmikmod_la_OBJECTS = drv_nos.lo drv_sdl.lo load_it.lo load_mod.lo \
	load_s3m.lo load_xm.lo mdreg.lo mdriver.lo mloader.lo mlreg.lo \
	mlutil.lo mmalloc.lo mmerror.lo mmio.lo mplayer.lo munitrk.lo \
	mwav.lo npertab.lo sloader.lo virtch.lo virtch2.lo \
	virtch_common.lo
libmikmod_la_OBJECTS = $(am_libmikmod_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/drv_nos.Plo \
	./$(DEPDIR)/drv_sdl.Plo ./$(DEPDIR)/load_it.Plo \
	./$(DEPDIR)/load_mod.Plo ./$(DEPDIR)/load_s3m.Plo \
	./$(DEPDIR)/load_xm.Plo ./$(DEPDIR)/mdreg.Plo \
	./$(DEPDIR)/mdriver.Plo ./$(DEPDIR)/mloader.Plo \
	./$(DEPDIR)/mlreg.Plo ./$(DEPDIR)/mlutil.Plo \
	./$(DEPDIR)/mmalloc.Plo ./$(DEPDIR)/mmerror.Plo \
	./$(DEPDIR)/mmio.Plo ./$(DEPDIR)/mplayer.Plo \
	./$(DEPDIR)/munitrk.Plo ./$(DEPDIR)/mwav.Plo \
	./$(DEPDIR)/npertab.Plo ./$(DEPDIR)/sloader.Plo \
	./$(DEPDIR)/virtch.Plo ./$(DEPDIR)/virtch2.Plo \
	./$(DEPDIR)/virtch_common.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libmikmod_la_SOURCES)
DIST_SOURCES = $(libmikmod_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = 
USE_MIKMOD_TRUE = #
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
noinst_LTLIBRARIES = libmikmod.la
libmikmod_la_SOURCES = \
	drv_nos.c		\
	drv_sdl.c		\
	load_it.c		\
	load_mod.c		\
	load_s3m.c		\
	load_xm.c		\
	mdreg.c			\
	mdriver.c		\
	mikmod.h		\
	mikmod_build.h		\
	mikmod_internals.h	\
	mloader.c		\
	mlreg.c			\
	mlutil.c		\
	mmalloc.c		\
	mmerror.c		\
	mmio.c			\
	mplayer.c		\
	munitrk.c		\
	mwav.c			\
	npertab.c		\
	sloader.c		\
	virtch.c		\
	virtch2.c		\
	virtch_common.c

EXTRA_DIST = AUTHORS COPYING.LESSER README
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  mikmod/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  mikmod/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libmikmod.la: $(libmikmod_la_OBJECTS) $(libmikmod_la_DEPENDENCIES) 
	$(LINK)  $(libmikmod_la_LDFLAGS) $(libmikmod_la_OBJECTS) $(libmikmod_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/drv_nos.Plo
include ./$(DEPDIR)/drv_sdl.Plo
include ./$(DEPDIR)/load_it.Plo
include ./$(DEPDIR)/load_mod.Plo
include ./$(DEPDIR)/load_s3m.Plo
include ./$(DEPDIR)/load_xm.Plo
include ./$(DEPDIR)/mdreg.Plo
include ./$(DEPDIR)/mdriver.Plo
include ./$(DEPDIR)/mloader.Plo
include ./$(DEPDIR)/mlreg.Plo
include ./$(DEPDIR)/mlutil.Plo
include ./$(DEPDIR)/mmalloc.Plo
include ./$(DEPDIR)/mmerror.Plo
include ./$(DEPDIR)/mmio.Plo
include ./$(DEPDIR)/mplayer.Plo
include ./$(DEPDIR)/munitrk.Plo
include ./$(DEPDIR)/mwav.Plo
include ./$(DEPDIR)/npertab.Plo
include ./$(DEPDIR)/sloader.Plo
include ./$(DEPDIR)/virtch.Plo
include ./$(DEPDIR)/virtch2.Plo
include ./$(DEPDIR)/virtch_common.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS

=== debian/changelog ===
puzzletube (0.5-maemo4) unstable; urgency=low

   * Fixing: 'error: fp cannot be used'

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri,  5 Aug 2011 15:58:40 +0200

=== debian/control ===
Source: puzzletube
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libvorbis-dev, libsmpeg-dev, libogg-dev
Standards-Version: 3.8.1
Homepage: https://github.com/theZiz/puzzletube

Package: puzzletube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A puzzle game - on a tube
XSBC-Bugtracker:https://github.com/theZiz/puzzletube/issues

## puzzletube 0.5-maemo5

=== sparrow3d/Makefile ===
#==Use if to slow!==
# -DFAST_BUT_UGLY
# -DFAST_BUT_UGLY_2
#==global Flags. Even on the gp2x with 16 kb Cache, -O3 is much better then -Os
CFLAGS = -O3
CFLAGS_ASM = -O2
#==PC==
CPP = gcc -g 
#-DARMCPU
SDL = `sdl-config --cflags`
#==Consoles==
#==GP2X/WIZ==
#ORIGINALFW = -static -lfreetype -lpng -lpthread -lz -ljpeg -lm -s
#CPP = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-gcc -DMOBILE_DEVICE -DARMCPU -DGP2X -ffast-math
#SDL = `/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/sdl-config --cflags`
#INCLUDE = -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include
#LIB = -L/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib -Wl,-rpath=/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib
#==Caanoo==
#CPP = /opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/bin/arm-gph-linux-gnueabi-gcc -DMOBILE_DEVICE -DARMCPU -DCAANOO
#SDL = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
#INCLUDE = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include
#LIB = -L/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib -Wl,-rpath=/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib
#==Dingoo==
#CPP = /opt/mipsel-linux-uclibc/usr/bin/mipsel-linux-gcc -DDINGOO
#SDL = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
#INCLUDE = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include
#LIB = -L/opt/mipsel-linux-uclibc/usr/lib -Wl,-rpath=/opt/mipsel-linux-uclibc/usr/lib
#==Pandora==
#CPP = /opt/pandora/arm-2011.03/bin/arm-none-linux-gnueabi-gcc -DARMCPU -DPANDORA
#SDL = `/opt/pandora/arm-2011.03/usr/bin/sdl-config --cflags`
#INCLUDE = -I/opt/pandora/arm-2011.03/usr/include
#LIB = -L/opt/pandora/arm-2011.03/usr/lib -Wl,-rpath=/opt/pandora/arm-2011.03/usr/lib -lpnd

all: sparrow3d testsparrow

testsparrow: testsparrow.c sparrow3d
	$(CPP) $(CFLAGS) testsparrow.c $(SDL) $(INCLUDE) -L. $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm -lsparrow3d $(ORIGINALFW) -o testsparrow

sparrow3d: sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowRenderer.o
	$(CPP) -shared -Wl,-soname,libsparrow3d.so -o libsparrow3d.so sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowRenderer.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW)

sparrowCore.o: sparrowCore.c sparrowCore.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowCore.c $(SDL) $(INCLUDE)

sparrowPrimitives.o: sparrowPrimitives.c sparrowPrimitives.h
	$(CPP) $(CFLAGS)  -fsingle-precision-constant -fPIC -c sparrowPrimitives.c $(SDL) $(INCLUDE)

sparrowRenderer.o: sparrowRenderer.c sparrowRenderer.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowRenderer.c $(SDL) $(INCLUDE)

sparrowMath.o: sparrowMath.c sparrowMath.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowMath.c $(SDL) $(INCLUDE)

clean:
	rm *.o
	rm libsparrow3d.so
	rm testsparrow

testengine: testengine.c meshloader.o 3dengine.o graphicstuff.o graphicstuff-asm.o
	$(CPP) $(CFLAGS) testengine.c 3dengine.o graphicstuff.o meshloader.o graphicstuff-asm.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW) -o testengine

meshloader.o: meshloader.c meshloader.h 3dengine.o
	$(CPP) $(CFLAGS) -c meshloader.c $(SDL) $(INCLUDE)

3dengine.o: 3dengine.c 3dengine.h graphicstuff.o
	$(CPP) $(CFLAGS) -c 3dengine.c -w $(SDL) $(INCLUDE)

graphicstuff.o: graphicstuff.c graphicstuff.h
	$(CPP) $(CFLAGS) -c graphicstuff.c $(SDL) $(INCLUDE)

graphicstuff-asm.o: graphicstuff-asm.c graphicstuff.h
	$(CPP) $(CFLAGS_ASM) -c graphicstuff-asm.c $(SDL) $(INCLUDE)

=== debian/changelog ===
puzzletube (0.5-maemo5) unstable; urgency=low

   * Compiling without CPUARM

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,  8 Aug 2011 11:52:40 +0200

## puzzletube 0.6-maemo1

=== puzzletube/Makefile ===
#==global Flags. Even on the gp2x with 16 kb Cache, -O3 is much better then -Os
CFLAGS = -O3 -fsingle-precision-constant -fPIC
# Testtweaks: -fgcse-lm -fgcse-sm -fsched-spec-load -fmodulo-sched -funsafe-loop-optimizations -Wunsafe-loop-optimizations -fgcse-las -fgcse-after-reload -fvariable-expansion-in-unroller -ftracer -fbranch-target-load-optimize
GENERAL_TWEAKS =  -ffast-math
#==PC==
CPP = gcc -g -march=native -DX86CPU
SDL = `sdl-config --cflags` `pkg-config --libs --cflags vorbis vorbisfile ogg `  `smpeg-config  --cflags --libs `

#==Consoles==
#==GP2X/WIZ==
#  REALGP2X activates gp2xspecific optimizations, which the wiz doesn't need
#	 e.g. modells with fewer polygons
#ORIGINALFW = -static -lsmpeg -lstdc++ -lSDL -lfreetype -lpng -lpthread -lz -ljpeg -lm -s
ifeq ($(TARGET),gp2x)
CPP = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-gcc -DMOBILE_DEVICE -DARMCPU -DGP2X $(GENERAL_TWEAKS) -DREALGP2X
SDL = `/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/sdl-config --cflags`
INCLUDE = -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include
LIB = -L/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib -Wl,-rpath=/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib
endif
#==Caanoo==
ifeq ($(TARGET),caanoo)
CPP = /opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/bin/arm-gph-linux-gnueabi-gcc -DMOBILE_DEVICE -DARMCPU -DCAANOO $(GENERAL_TWEAKS)
SDL = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
INCLUDE = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include
LIB = -L/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib -Wl,-rpath=/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib
endif
#==Dingoo==
ifeq ($(TARGET),dingoo)
CPP = /opt/mipsel-linux-uclibc/usr/bin/mipsel-linux-gcc -DDINGOO $(GENERAL_TWEAKS)
SDL = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
INCLUDE = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include
LIB = -L/opt/mipsel-linux-uclibc/usr/lib -Wl,-rpath=/opt/mipsel-linux-uclibc/usr/lib
endif
#==Pandora==
ifeq ($(TARGET),pandora)
CPP = /opt/pandora/arm-2011.03/bin/arm-none-linux-gnueabi-gcc -DARMCPU -DPANDORA $(GENERAL_TWEAKS)
SDL = `/opt/pandora/arm-2011.03/usr/bin/sdl-config --cflags`
INCLUDE = -I/opt/pandora/arm-2011.03/usr/include
LIB = -L/opt/pandora/arm-2011.03/usr/lib -Wl,-rpath=/opt/pandora/arm-2011.03/usr/lib -lpnd
endif
#==Maemo 5==
ifeq ($(TARGET),maemo5)
CPP = gcc -DARMCPU -DMAEMO -DMAEMO5 $(GENERAL_TWEAKS)
SDL = `sdl-config --cflags` `pkg-config --libs --cflags vorbis vorbisfile ogg `  `smpeg-config  --cflags --libs `

endif
#==Maemo 6==
ifeq ($(TARGET),maemo6)
CPP = gcc -DARMCPU -DMAEMO -DMAEMO6 $(GENERAL_TWEAKS)
SDL = `sdl-config --cflags`
endif

all: puzzletube

targets:
	@echo "gp2x (=wiz), caanoo, dingoo, pandora, maemo5, maemo6"

puzzletube: puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o
	$(CPP) $(CFLAGS) puzzletube.c particle.o game.o music.o menu.o stars.o settings.o lettering.o splashscreen.o lib/*.o $(SDL) $(INCLUDE) $(LIB) -L. -lSDL_ttf -lSDL_image -lSDL -lm  -lsparrow3d $(ORIGINALFW) -o puzzletube

particle.o: particle.c particle.h
	$(CPP) $(CFLAGS) -c particle.c $(SDL) $(INCLUDE)

game.o: game.c game.h
	$(CPP) $(CFLAGS) -c game.c $(SDL) $(INCLUDE)

music.o: music.c music.h
	$(CPP) $(CFLAGS) -c music.c $(SDL) $(INCLUDE)

menu.o: menu.c menu.h
	$(CPP) $(CFLAGS) -c menu.c $(SDL) $(INCLUDE)

stars.o: stars.c stars.h
	$(CPP) $(CFLAGS) -c stars.c $(SDL) $(INCLUDE)

settings.o: settings.c settings.h
	$(CPP) $(CFLAGS) -c settings.c $(SDL) $(INCLUDE)

lettering.o: lettering.c lettering.h
	$(CPP) $(CFLAGS) -c lettering.c $(SDL) $(INCLUDE)

splashscreen.o: splashscreen.c splashscreen.h
	$(CPP) $(CFLAGS) -c splashscreen.c $(SDL) $(INCLUDE)

clean:
	rm *.o
	rm puzzletube

=== libsdl-mixer1.2-1.2.6/timidity/Makefile ===
# Makefile.in generated by automake 1.8.2 from Makefile.am.
# timidity/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libtimidity_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/SDL_mixer
pkglibdir = $(libdir)/SDL_mixer
pkgincludedir = $(includedir)/SDL_mixer
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = timidity
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libtimidity_la_LIBADD =
am_libtimidity_la_OBJECTS = common.lo controls.lo filter.lo instrum.lo \
	mix.lo output.lo playmidi.lo readmidi.lo resample.lo sdl_a.lo \
	sdl_c.lo tables.lo timidity.lo
libtimidity_la_OBJECTS = $(am_libtimidity_la_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/common.Plo \
	./$(DEPDIR)/controls.Plo ./$(DEPDIR)/filter.Plo \
	./$(DEPDIR)/instrum.Plo ./$(DEPDIR)/mix.Plo \
	./$(DEPDIR)/output.Plo ./$(DEPDIR)/playmidi.Plo \
	./$(DEPDIR)/readmidi.Plo ./$(DEPDIR)/resample.Plo \
	./$(DEPDIR)/sdl_a.Plo ./$(DEPDIR)/sdl_c.Plo \
	./$(DEPDIR)/tables.Plo ./$(DEPDIR)/timidity.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libtimidity_la_SOURCES)
DIST_SOURCES = $(libtimidity_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run automake-1.8
AWK = gawk
BINARY_AGE = 6
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DUSE_RWOPS -DOGG_MUSIC
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"SDL_mixer\" -DVERSION=\"1.2.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTERFACE_AGE = 4
LDFLAGS = 
LIBMIKMOD_CONFIG = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 2
LT_CURRENT = 2
LT_RELEASE = 1.2
LT_REVISION = 4
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/missing --run makeinfo
MICRO_VERSION = 6
MINOR_VERSION = 2
MUSIC_SUBDIRS = 
OBJDUMP = objdump
OBJEXT = o
PACKAGE = SDL_mixer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SDL_CFLAGS = -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -lSDL
SET_MAKE = 
SHELL = /bin/sh
SMPEG_CFLAGS = 
SMPEG_CONFIG = 
SMPEG_LIBS = 
STRIP = strip
SYSTEM_LIBS =  -lvorbisfile -lvorbis -logg
USE_MIKMOD_FALSE = 
USE_MIKMOD_TRUE = #
USE_NATIVE_MIDI_FALSE = 
USE_NATIVE_MIDI_GPL_FALSE = 
USE_NATIVE_MIDI_GPL_TRUE = #
USE_NATIVE_MIDI_TRUE = #
USE_TIMIDITY_FALSE = 
USE_TIMIDITY_TRUE = #
VERSION = 1.2.6
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = 
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/rantalai/stuff/pelit/puzzletube/puzzletube-0.5/libsdl-mixer1.2-1.2.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
noinst_LTLIBRARIES = libtimidity.la
libtimidity_la_SOURCES = \
	common.c		\
	common.h		\
	config.h		\
	controls.c		\
	controls.h		\
	filter.c		\
	filter.h		\
	instrum.c		\
	instrum.h		\
	mix.c			\
	mix.h			\
	output.c		\
	output.h		\
	playmidi.c		\
	playmidi.h		\
	readmidi.c		\
	readmidi.h		\
	resample.c		\
	resample.h		\
	sdl_a.c			\
	sdl_c.c			\
	tables.c		\
	tables.h		\
	timidity.c		\
	timidity.h

EXTRA_DIST = FAQ README
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  timidity/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  timidity/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libtimidity.la: $(libtimidity_la_OBJECTS) $(libtimidity_la_DEPENDENCIES) 
	$(LINK)  $(libtimidity_la_LDFLAGS) $(libtimidity_la_OBJECTS) $(libtimidity_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/common.Plo
include ./$(DEPDIR)/controls.Plo
include ./$(DEPDIR)/filter.Plo
include ./$(DEPDIR)/instrum.Plo
include ./$(DEPDIR)/mix.Plo
include ./$(DEPDIR)/output.Plo
include ./$(DEPDIR)/playmidi.Plo
include ./$(DEPDIR)/readmidi.Plo
include ./$(DEPDIR)/resample.Plo
include ./$(DEPDIR)/sdl_a.Plo
include ./$(DEPDIR)/sdl_c.Plo
include ./$(DEPDIR)/tables.Plo
include ./$(DEPDIR)/timidity.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)

=== debian/changelog ===
puzzletube (0.6-maemo1) unstable; urgency=low

   * New upstream code

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  2 Dec 2011 11:27:40 +0200

=== debian/control ===
--- 
+++ 
@@ -11,3 +11,20 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A puzzle game - on a tube
 XSBC-Bugtracker:https://github.com/theZiz/puzzletube/issues
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
+ C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
+ AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAP8AQABANWGwowAAAAlwSFlzAAAL
+ EwAACxMBAJqcGAAAAAl2cEFnAAAAMAAAADAAzu6MVwAAAUlJREFUaN7tmbFu
+ gzAQhj9bFok6ZcqQp8n7v4Ob0jQogSG4Q2UKCh0wlZo26nhGuk+ysAzD//mO
+ 6cy4348sGFuWJSEEsBaMkc7zP8aAtYQQKMsS93w4sNvtKIqC9XqNsRbGTIti
+ DOPtRoyR8+VCVVVYgLpp8N4TY8y7CsYQY8R7T900ADgD9H3PtW05Ho9sVys2
+ mVagNYa667i2Lf0wYAEHYIFhGDhVFQWwkU76SAA4pb29ey4WN28y7vwf3Odc
+ fAVUQBoVkEYFpFEBaVRAGhWQRgWkUQFpVEAaFZBGBaRRAWlUQBoVkEYFpFEB
+ aX4J5Dyp+Svb4ivwPaX8BGqmSeCLdKoHXIEPYAsUwI15TgwE4C19kGsbjcAT
+ sGIaBTtSCzWAB7qMw5OydSlrk87cgalt5pvPWQCmtvkAzkAE3Gt6sZS/eb7k
+ 97S+AH+1ZSB3458HAAAAGXRFWHRDb21tZW50AENyZWF0ZWQgd2l0aCBHSU1Q
+ V4EOFwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAxMS0wNy0yMFQyMTowOTo0Nisw
+ MzowMMaRgk8AAAAldEVYdGRhdGU6bW9kaWZ5ADIwMTEtMDctMjBUMjE6MDk6
+ NDYrMDM6MDC3zDrzAAAAAElFTkSuQmCC
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
	cd sparrow3d ; make TARGET=maemo5
else
	cd sparrow3d ; make TARGET=PC
endif


	cd libsdl-mixer1.2-1.2.6 ; ./configure \
  --enable-music-cmd=no\
  --enable-music-wave=no\
  --enable-music-libmikmod=no\
  --enable-music-mod=no\
  --enable-music-midi=no\
  --enable-music-timidity-midi=no\
  --enable-music-native-midi=no\
  --enable-music-native-midi-gpl=no\
  --enable-music-ogg=yes\
  --enable-music-mp3=no ; make ; cp effect_position.o \
  effects_internal.o  \
  load_ogg.o \
  mixer.o  \
  music_cmd.o  \
  wavestream.o \
  effect_stereoreverse.o \
  load_aiff.o \
  load_voc.o \
  music.o  \
  music_ogg.o  ../puzzletube/lib
	cp libsdl-mixer1.2-1.2.6/SDL_mixer.h puzzletube/lib/SDL

ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
	cd puzzletube ; make TARGET=maemo5
else
	cd puzzletube ; make TARGET=PC
endif

 
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#cd sparrow3d ; make clean
	#cd puzzletube ; make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folders
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/data
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/font
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/images
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds
	install -d ${CURDIR}/debian/puzzletube/opt/puzzletube/lib

	#files
	install ${CURDIR}/puzzletube/puzzletube ${CURDIR}/debian/puzzletube/opt/puzzletube/
	install ${CURDIR}/sparrow3d/libsparrow3d.so ${CURDIR}/debian/puzzletube/opt/puzzletube/lib

	install ${CURDIR}/puzzletube/data/*    ${CURDIR}/debian/puzzletube/opt/puzzletube/data
	install ${CURDIR}/puzzletube/font/*    ${CURDIR}/debian/puzzletube/opt/puzzletube/font
	install ${CURDIR}/puzzletube/images/*  ${CURDIR}/debian/puzzletube/opt/puzzletube/images
	install ${CURDIR}/puzzletube/sounds/*  ${CURDIR}/debian/puzzletube/opt/puzzletube/sounds


	#menu and icon and starting script
	install -d  ${CURDIR}/debian/puzzletube/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/puzzletube64x64.png     ${CURDIR}/debian/puzzletube/usr/share/icons/hicolor/64x64/hildon/puzzletube

	install -d ${CURDIR}/debian/puzzletube/usr/share/applications/hildon
	install ${CURDIR}/puzzletube.desktop ${CURDIR}/debian/puzzletube/usr/share/applications/hildon

	install -d ${CURDIR}/debian/puzzletube/usr/bin
	install  ${CURDIR}/puzzletube.sh ${CURDIR}/debian/puzzletube/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## puzzletube 0.6-maemo2

=== sparrow3d/Makefile ===
#==Use if to slow!==
# -DFAST_BUT_UGLY <- could crash, uses possibly memory (just reading) Try always to have some border pixels to your textures if using!
# -DFAST_BUT_UGLY_2
#==global Flags. Even on the gp2x with 16 kb Cache, -O3 is much better then -Os
CFLAGS = -O3 -fsingle-precision-constant -fPIC 
CFLAGS_ASM = -O2 -fsingle-precision-constant -fPIC
# Testtweaks: -fgcse-lm -fgcse-sm -fsched-spec-load -fmodulo-sched -funsafe-loop-optimizations -Wunsafe-loop-optimizations -fgcse-las -fgcse-after-reload -fvariable-expansion-in-unroller -ftracer -fbranch-target-load-optimize
GENERAL_TWEAKS = -ffast-math -DFAST_BUT_UGLY_2
#==PC==
CPP = gcc -g -march=native -DX86CPU $(GENERAL_TWEAKS)
SDL = `sdl-config --cflags`
#==Consoles==
#==GP2X/WIZ==
#ORIGINALFW = -static -lfreetype -lpng -lpthread -lz -ljpeg -lm -s
ifeq ($(TARGET),gp2x)
CPP = /opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-gcc -DMOBILE_DEVICE -DARMCPU -DGP2X $(GENERAL_TWEAKS) -DFAST_BUT_UGLY_2 
SDL = `/opt/open2x/gcc-4.1.1-glibc-2.3.6/bin/sdl-config --cflags`
INCLUDE = -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include
LIB = -L/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib -Wl,-rpath=/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib
endif
#==Caanoo==
ifeq ($(TARGET),caanoo)
CPP = /opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/bin/arm-gph-linux-gnueabi-gcc -DMOBILE_DEVICE -DARMCPU -DCAANOO $(GENERAL_TWEAKS)
SDL = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
INCLUDE = -I/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/include
LIB = -L/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib -Wl,-rpath=/opt/caanoo/gcc-4.2.4-glibc-2.7-eabi/arm-gph-linux-gnueabi/sys-root/usr/lib
endif
#==Dingoo==
ifeq ($(TARGET),dingoo)
CPP = /opt/mipsel-linux-uclibc/usr/bin/mipsel-linux-gcc -DDINGOO $(GENERAL_TWEAKS)
SDL = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include/SDL -D_GNU_SOURCE=1 -D_REENTRANT
INCLUDE = -I/opt/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/sys-include
LIB = -L/opt/mipsel-linux-uclibc/usr/lib -Wl,-rpath=/opt/mipsel-linux-uclibc/usr/lib
endif
#==Pandora==
ifeq ($(TARGET),pandora)
CPP = /opt/pandora/arm-2011.03/bin/arm-none-linux-gnueabi-gcc -DARMCPU -DPANDORA $(GENERAL_TWEAKS)
SDL = `/opt/pandora/arm-2011.03/usr/bin/sdl-config --cflags`
INCLUDE = -I/opt/pandora/arm-2011.03/usr/include
#-lpnd
LIB = -L/opt/pandora/arm-2011.03/usr/lib -Wl,-rpath=/opt/pandora/arm-2011.03/usr/lib
endif
#==Maemo 5==
ifeq ($(TARGET),maemo5)
CPP = gcc -DARMCPU -DMAEMO -DMAEMO5 $(GENERAL_TWEAKS)
SDL = `sdl-config --cflags`
endif
#==Maemo 6==
ifeq ($(TARGET),maemo6)
CPP = gcc -DARMCPU -DMAEMO -DMAEMO6 $(GENERAL_TWEAKS)
SDL = `sdl-config --cflags`
endif


all: sparrow3d testsparrow

targets:
	@echo "gp2x (=wiz), caanoo, dingoo, pandora, maemo5, maemo6"

testsparrow: testsparrow.c sparrow3d
	$(CPP) $(CFLAGS) testsparrow.c $(SDL) $(INCLUDE) -L. $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm -lsparrow3d $(ORIGINALFW) -o testsparrow

sparrow3d: sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowPrimitivesAsm.o sparrowRenderer.o sparrowFont.o
	$(CPP) $(CFLAGS) -shared -Wl,-soname,libsparrow3d.so -o libsparrow3d.so sparrowFont.o sparrowCore.o sparrowMath.o sparrowPrimitives.o sparrowPrimitivesAsm.o sparrowRenderer.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW)

sparrowCore.o: sparrowCore.c sparrowCore.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowCore.c $(SDL) $(INCLUDE)

sparrowPrimitives.o: sparrowPrimitives.c sparrowPrimitives.h
	$(CPP) $(CFLAGS)  -c sparrowPrimitives.c $(SDL) $(INCLUDE)

sparrowPrimitivesAsm.o: sparrowPrimitivesAsm.c sparrowPrimitives.h
	$(CPP) $(CFLAGS)  -fsingle-precision-constant -fPIC -c sparrowPrimitivesAsm.c $(SDL) $(INCLUDE)

sparrowRenderer.o: sparrowRenderer.c sparrowRenderer.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowRenderer.c $(SDL) $(INCLUDE)

sparrowMath.o: sparrowMath.c sparrowMath.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowMath.c $(SDL) $(INCLUDE)

sparrowFont.o: sparrowFont.c sparrowFont.h
	$(CPP) $(CFLAGS) -fPIC -c sparrowFont.c $(SDL) $(INCLUDE)

clean:
	rm *.o
	rm libsparrow3d.so
	rm testsparrow

testengine: testengine.c meshloader.o 3dengine.o graphicstuff.o graphicstuff-asm.o
	$(CPP) $(CFLAGS) testengine.c 3dengine.o graphicstuff.o meshloader.o graphicstuff-asm.o $(SDL) $(INCLUDE) $(LIB) -lSDL_ttf -lSDL_image -lSDL -lm $(ORIGINALFW) -o testengine

meshloader.o: meshloader.c meshloader.h 3dengine.o
	$(CPP) $(CFLAGS) -c meshloader.c $(SDL) $(INCLUDE)

3dengine.o: 3dengine.c 3dengine.h graphicstuff.o
	$(CPP) $(CFLAGS) -c 3dengine.c -w $(SDL) $(INCLUDE)

graphicstuff.o: graphicstuff.c graphicstuff.h
	$(CPP) $(CFLAGS) -c graphicstuff.c $(SDL) $(INCLUDE)

graphicstuff-asm.o: graphicstuff-asm.c graphicstuff.h
	$(CPP) $(CFLAGS_ASM) -c graphicstuff-asm.c $(SDL) $(INCLUDE)

=== debian/changelog ===
puzzletube (0.6-maemo2) unstable; urgency=low

   * SDL-mixer bundled to binary (because system's sdl-mixer is torso)
   * settings and highscore to the /home/user/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat,  3 Dec 2011 12:08:40 +0200
